Subject: Upgrade from 1.5.x to -current on alpha
To: None <>
From: Andreas Priebe <>
List: current-users
Date: 08/16/2002 23:25:16

after a succesfull and painless upgrade on my IBM/i386 laptop
to -current I tried the same procedure on my AXP/300 (alpha).

I made and booted a new 1.6D kernel, then as a regular user did

./ -t

All this went fine.
I hoped that a final (as root)


would do the trick, but ... this failed miserably after installing
the new /usr/lib/ as teh default /usr/lib/
(lots of coredumps).
I reverted the link to the previous /usr/lib/ which
made the coredumps go away - BUT:
Now I can't do a, as the new inlcudes are already in place
and I get the infamous __assert13 error, when compiling/linking.

Anything I do wrong? Wouldn't it be a good idea to link the
toolchain utilies statically???